A {text-decoration: none;}
body
{
    
background-image: linear-gradient(black,black, gray, black);	
font-family: 'Raleway', sans-serif;
font-size: 16px;
font-weight: 400;
text-align: center;
}


/* navbar */


#myTopnav:nth-of-type(1){
display: flex;
justify-content: center;
align-items: center;

}


.topnav {

background-color: rgba(0, 0, 0, .8);
border-top: 1px solid #D43F52 ;
border-bottom: 1px solid #D43F52 ;

position: fixed;
padding: 4px 41px 4px;
top: 0;
overflow: hidden;
width: 100%;
z-index: 1;
}


/* Style the links inside the navigation bar */
.topnav a {
margin: 0 10px 0 ;
height: 25px;
padding: 3px 41px 4px;
display: block;
color: #f2f2f2;
text-decoration: none;
font-size: 14px;
font-weight: bold;
white-space: nowrap;
}

/* Change the color of links on hover */
.topnav a:hover {
padding: 3px 41px 4px;
color:#D43F52;
height: 25px;

border-bottom:2px solid #D43F52;
border-radius: 10px;
text-decoration: none;
font-size: 15px;
transition: all 0.3s ease-in-out;
font-weight: bold;

}

.topnav .icon {
color: #ffffff;
display: none;
left: 0;
} 

.topnav .icon:hover{
color:#D43F52;
}

.active {

background-color: #D43F52;
border-radius: 10px;
color: white;
}
.active:hover {
background-color:transparent;
border-radius: 10px;
}



/* Hide the link that should open and close the topnav on small screens */


/* When the screen is less than 600 pixels wide, hide all links, except for the first one ("Home"). Show the link that contains should open and close the topnav (.icon) */
@media screen and (max-width: 800px) {
.topnav a:not(:nth-child(4)) {
display: none;

}
.topnav a.icon {
display: block;
position: absolute;
left: 0;
top: 0;



}
}

/* The "responsive" class is added to the topnav with JavaScript when the user clicks on the icon. This class makes the topnav look good on small screens (display the links vertically instead of horizontally) */
@media screen and (max-width: 800px) {
.topnav.responsive 
{position: fixed;
display: flex;
flex-direction: column;
align-content: center;
                    }


.topnav.responsive a.icon {
position: absolute;
left: 0;
top: 0;

}
.topnav.responsive a {
float: none;
display: block;

}
} 


/* start all heading */

h1,h2,h4,h5
{
    font-weight: bold;
color: #ffffff;
font-size: 34px;
text-align: center;
text-shadow: 0 0 24px #D43F52, 0 0 4px #D43F52, 1px 1px 2px #333;
}
h3 {
    color: #ffffff;
    font-size: 34px;
    text-align: center;
}


p {
color: lightgrey;
font-style: italic;

}

/* end all heading */



/* start all section */
#about, #portfolio, #contact 
{
padding-top: 7%;
}
/* end all section */


/* start home */  


#home h1
{

padding-top: 7%;
padding-bottom: 5%;
margin-bottom: 5%


}
#home section
{
margin: 10px;
display: flex;
align-items: center;
justify-content: center;
border: 4px solid #D43F52;
color: #D43F52;
display: inline-block;
letter-spacing: 3px;
padding: 5% 5%;
width: 600px;
height:auto;

}
 

#home p{
    margin: 10px 10px 10px;
}

#home img {
width: 100%;
max-width: 300px;
max-height: 100%;
}


/* end home */


/* start about */

      
#about section
{
text-align: center;
}


#about .media 
{
    padding: 10%;
    margin-top: 30%;
}

#about .media .fas , #about .media .fab
{
   
border: 2px solid #ffffff;
border-radius: 50%;
color: #D43F52;
font-size: 30px;
margin-right: 30px;
width: 65px;
height: 65px;
line-height: 60px;
text-align: center;
vertical-align: middle;
transition: all 0.4s ease-in;


}


#about .media .fas:hover
{
background: #ffffff;

}
#about .media .fab:hover
{
background: #ffffff;

}
#about .media .media-heading
{
font-weight: 600;
font-size: 25px;
padding-bottom: 10px;
}


/* end about */




/*porfolio*/

#portfolio h1{

    padding-bottom: 5%;
}
.produit img {

width: 100%;
max-width: 500px;
max-height: 100%;

}


.produit h6 {
opacity:0;
text-shadow: 1px 1px 2px rgb(0, 0, 0), 0 0 9em rgb(0, 0, 0), 0 0 0.9em rgb(0, 0, 0);
text-align:center;
color: #D43F52;
font-weight: bold;
position:absolute;
bottom: 0;
left: 0;
right: 0;
}

.produit:hover h6{
text-decoration: none;
color: #D43F52;
cursor: pointer;
font-weight: bold;
transition:all 2s;
opacity:1;

}


.produit {
height: 180px;
border-radius: 5px;
background-color:black;
text-align: center;
margin-top: 20px;
transition: 0.3s;

}

.produit:hover
{

color: #D43F52;
cursor: pointer;


}

/*end portfolio*/

/* start contact */

#contact {
    display: flex;
    justify-content: center;
    align-items: center;
}
#contact h1 {

    padding-bottom: 5%;
    margin-bottom: 15%
}


#contact p
{
display: flex;
flex-direction: row;
color: white;
line-height: 45px;
text-align: center;
margin-right: 20px;
}


#contact .fab 
{
display: flex;
flex-direction: column;
border: 2px solid #ffffff;
border-radius: 50%;
color: #D43F52;
width: 50px;
height: 50px;
line-height: 45px;
text-align: center;
margin-right: 20px;
}


#contact .fas 
{
display: flex;
flex-direction: column;
border: 2px solid #ffffff;
border-radius: 50%;
color: #D43F52;
width: 50px;
height: 50px;
line-height: 45px;
text-align: center;
margin-right: 20px;
}

#contact .form-control
{
background: transparent;

color: white;
margin-bottom: 20px;
}
#contact input
{
height: 50px;
width: 300px;
}
#contact input[type="submit"]
{
background: #D43F52;
border: 2px solid transparent;
border-radius: 50px;
color: #ffffff;
font-weight: bold;
transition: all 0.4s ease-in-out;
}
#contact input[type="submit"]:hover
{
cursor: pointer;
background: #ffffff;
color: #D43F52;
}
/* end contact */

/* start footer */
footer
{
height: 10px;
border-top: 2px solid #111111;
text-align: center;
padding-top: 40px;
padding-bottom: 10px;
}
/* end footer */



